## inky 1.4.0

=== Makefile ===
LIBRARY_VERSION=`cat library/setup.py | grep version | awk -F"'" '{print $$2}'`
LIBRARY_NAME=`cat library/setup.py | grep name | awk -F"'" '{print $$2}'`

.PHONY: usage install uninstall
usage:
	@echo "Usage: make <target>, where target is one of:\n"
	@echo "install:       install the library locally from source"
	@echo "uninstall:     uninstall the local library"
	@echo "check:         peform basic integrity checks on the codebase"
	@echo "python-readme: generate library/README.rst from README.md"
	@echo "python-wheels: build python .whl files for distribution"
	@echo "python-sdist:  build python source distribution"
	@echo "python-clean:  clean python build and dist directories"
	@echo "python-dist:   build all python distribution files"
	@echo "python-testdeploy: build all and deploy to test PyPi"

install:
	./install.sh

uninstall:
	./uninstall.sh

check:
	@echo "Checking for trailing whitespace"
	@! grep -IlUrn --color "[[:blank:]]$$" --exclude-dir=sphinx --exclude-dir=.tox --exclude-dir=.git --exclude=PKG-INFO
	@echo "Checking for DOS line-endings"
	@! grep -IlUrn --color "
" --exclude-dir=sphinx --exclude-dir=.tox --exclude-dir=.git --exclude=Makefile
	@echo "Checking library/CHANGELOG.txt"
	@cat library/CHANGELOG.txt | grep ^${LIBRARY_VERSION}
	@echo "Checking library/${LIBRARY_NAME}/__init__.py"
	@cat library/${LIBRARY_NAME}/__init__.py | grep "^__version__ = '${LIBRARY_VERSION}'"

python-readme: library/README.md

python-license: library/LICENSE.txt

library/README.md: README.md
	cp README.md library/README.md

library/LICENSE.txt: LICENSE
	cp LICENSE library/LICENSE.txt

python-wheels: python-readme python-license
	cd library; python3 setup.py bdist_wheel
	cd library; python setup.py bdist_wheel

python-sdist: python-readme python-license
	cd library; python setup.py sdist

python-clean:
	-rm -r library/dist
	-rm -r library/build
	-rm -r library/*.egg-info

python-dist: python-clean python-wheels python-sdist
	ls library/dist

python-testdeploy: python-dist
	twine upload --repository-url https://test.pypi.org/legacy/ library/dist/*

python-deploy: check python-dist
	twine upload library/dist/*

=== sphinx/requirements.txt ===
alabaster==0.7.12
Babel==2.9.1
certifi==2021.5.30
chardet==4.0.0
charset-normalizer==2.0.3
docutils==0.16
funcsigs==1.0.2
idna==3.2
imagesize==1.2.0
Jinja2==3.0.1
MarkupSafe==2.0.1
mock==4.0.3
packaging==21.0
Pillow==8.3.1
Pygments==2.9.0
pyparsing==2.4.7
pytz==2021.1
requests==2.26.0
six==1.16.0
snowballstemmer==2.1.0
Sphinx==4.1.2
sphinx-rtd-theme==0.5.2
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
sphinxcontrib-websupport==1.2.4
typing==3.7.4.3
urllib3==1.26.6

=== debian/changelog ===
inky (1.4.0-0ubuntu1) kinetic; urgency=medium

  * Initial packaging for Ubuntu (LP: #1992778)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 20 Oct 2022 19:17:59 +0200

=== debian/control ===
Source: inky
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Phil Howard <phil@pimoroni.com>
Homepage: https://github.com/pimoroni/inky
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-doc,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-pytest,
 python3-numpy,
Standards-Version: 4.6.1.0
Rules-Requires-Root: no

Package: python3-inky
Architecture: all
Suggests: python-inky-doc, python3-inky-extras
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for the Pimoroni Inky HAT range
 The Inky HAT range is a variety of differently shaped and sized e-paper
 displays for the Raspberry Pi. This library supports all three current
 variants: the wHAT, pHAT, and the larger Impression.
 .
 This is the Python 3 version of the package.

Package: python3-inky-examples
Architecture: all
Depends: ${misc:Depends}, python3-inky
Recommends: python3-rpi.gpio, python3-requests, python3-bs4
Description: Python library for the Pimoroni Inky HAT range - examples
 The Inky HAT range is a variety of differently shaped and sized e-paper
 displays for the Raspberry Pi. This library supports all three current
 variants: the wHAT, pHAT, and the larger Impression.
 .
 This package contains the examples for Python 3 library.

Package: python3-inky-extras
Architecture: all
Suggests: fritzing, gimp
Depends: ${misc:Depends}
Description: Python library for the Pimoroni Inky HAT range - extras
 The Inky HAT range is a variety of differently shaped and sized e-paper
 displays for the Raspberry Pi. This library supports all three current
 variants: the wHAT, pHAT, and the larger Impression.
 .
 This package contains Fritzing parts and GIMP palettes for designing and
 working with the Inky range.

Package: python-inky-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for the Pimoroni Inky HAT range - documentation
 The Inky HAT range is a variety of differently shaped and sized e-paper
 displays for the Raspberry Pi. This library supports all three current
 variants: the wHAT, pHAT, and the larger Impression.
 .
 This is the API documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export PYBUILD_DIR=library
export PYBUILD_NAME=inky

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml sphinx/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-inky -ppython-inky-doc
	dh_installdocs --doc-main-package=python3-inky -ppython3-inky-examples
	dh_installdocs -ppython3-inky
	dh_installdocs -ppython3-inky-extras

=== debian/tests/control ===
Test-Command: pytest-3 library/tests/
Depends: python3-pytest, python3-inky
